%define _use_internal_dependency_generator 0

Summary:	XML-Simple module for perl (String_Lang_Text_Proc/XML)
Name:		perl-XML-Simple
Version:	2.14
Release:	1
License:	Artistic
Group:		Development/Perl
Source:		XML-Simple-%{version}.tar.gz
Url:		http://www.cpan.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot/
Requires:	perl >= 5.8.0, perl-XML-Parser
BuildRequires:  perl >= 5.8.0, perl-XML-Parser
BuildArch:	noarch

%description
Simple XML module for perl

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n XML-Simple-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
        grep -v perllocal.pod |
        grep -v "\.packlist" > File-Tail-%{version}-filelist
if [ "$(cat File-Tail-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f File-Tail-%{version}-filelist
%defattr(-,root,root)

%changelog
* Tue May 17 2005 TSUDA Fumika <builder@fumika.jp>
- version 2.14 for Red Hat Linux 9

* Mon Apr 05 2004 TSUDA Fumika <builder@fumika.jp>
- version 2.12 for Red Hat Linux 9

* Tue Jan 27 2004 TSUDA Fumika <builder@fumika.jp>
- version 2.09 for Red Hat Linux 9

